#include "xsurface.h"

XSurface::XSurface()
    : XAsset()
    , mTileMode(0)
    , mDeformed(false)
    , mVertCount(0)
    , mTriCount(0)
    , mTriIndices(0)
    , mVertInfo()
    , mVerts0(new XGfxPackedVertex())
    , mVb0()
    , mVertListCount(0)
    , mVertList()
    , mIndexBuffer()
    , mPartBits()
{
    
}

void XSurface::ParseData(QDataStream *aStream)
{
    
}

void XSurface::Clear()
{
    
}
